in scala.actors.multi
class Process

`class` Process
  `extends` java.lang.Object
  `with` scala.actors.Process
  `with` scala.actors.multi.Actor[scala.Any]
  `with` scala.ScalaObject

author:
  Philipp Haller

Constructor Summary
| `def` this

Class Summary
`case` | `class` Exit

Def Summary
| `def` die ( reason : scala.Symbol ) : scala.Unit
`override` | `def` die : scala.Unit
| `def` exit ( from : scala.actors.Process , reason : scala.Symbol ) : scala.Unit
| `def` exit ( reason : scala.Symbol ) : scala.Unit
| `def` exitLinked ( reason : scala.Symbol , exitMarks : scala.collection.mutable.HashSet[scala.actors.multi.Process] ) : scala.Unit
| `def` forwardExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit
| `def` handleExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit is only called for local handlers (i.e. destDesc.p == this)
| `def` link ( to : scala.actors.Process ) : scala.Unit
| `def` linkTo ( to : scala.actors.Process ) : scala.Unit
| `def` process ( f : scala.PartialFunction[scala.Any,scala.Unit] , msg : scala.Any ) : scala.Unit
| `def` processFlag ( flag : scala.Symbol , set : scala.Boolean ) : scala.Unit
| `def` pushExcHandlerDesc ( desc : scala.actors.multi.ExcHandlerDesc ) : scala.Unit
`override` | `def` receive ( f : scala.PartialFunction[scala.Any,scala.Unit] ) : scala.All
`override` | `def` receiveMsg ( msg : scala.Any ) : scala.Unit
`override` | `def` start : scala.Unit
| `def` tryAsync ( block : => scala.Unit , handlerFun : scala.PartialFunction[java.lang.Throwable,scala.Unit] ) : scala.Unit
| `def` unlink ( from : scala.actors.Process ) : scala.Unit
| `def` unlinkFrom ( from : scala.actors.Process ) : scala.Unit

Constructor Detail

`def` this

Def Detail

`def` die ( reason : scala.Symbol ) : scala.Unit

override `def` die : scala.Unit

`def` exit ( from : scala.actors.Process , reason : scala.Symbol ) : scala.Unit

`def` exit ( reason : scala.Symbol ) : scala.Unit

`def` exitLinked ( reason : scala.Symbol , exitMarks : scala.collection.mutable.HashSet[scala.actors.multi.Process] ) : scala.Unit

`def` forwardExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit

`def` handleExc ( destDesc : scala.actors.multi.ExcHandlerDesc , e : java.lang.Throwable ) : scala.Unit

  is only called for local handlers (i.e. destDesc.p == this)

`def` link ( to : scala.actors.Process ) : scala.Unit

`def` linkTo ( to : scala.actors.Process ) : scala.Unit

`def` process ( f : scala.PartialFunction[scala.Any,scala.Unit] , msg : scala.Any ) : scala.Unit

`def` processFlag ( flag : scala.Symbol , set : scala.Boolean ) : scala.Unit

`def` pushExcHandlerDesc ( desc : scala.actors.multi.ExcHandlerDesc ) : scala.Unit

override `def` receive ( f : scala.PartialFunction[scala.Any,scala.Unit] ) : scala.All

override `def` receiveMsg ( msg : scala.Any ) : scala.Unit

override `def` start : scala.Unit

`def` tryAsync ( block : => scala.Unit , handlerFun : scala.PartialFunction[java.lang.Throwable,scala.Unit] ) : scala.Unit

`def` unlink ( from : scala.actors.Process ) : scala.Unit

`def` unlinkFrom ( from : scala.actors.Process ) : scala.Unit